> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# New action

> Appends a new action to a given trace by id



## OpenAPI

````yaml api-reference/open-api-v1.json post /trace/{traceId}/link
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 1.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /trace/{traceId}/link:
    post:
      tags:
        - Trace
      summary: New action
      description: Appends a new action to a given trace by id
      operationId: TraceController_appendLinkToTrace
      parameters:
        - name: traceId
          required: true
          in: path
          description: The UUID of the trace
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                body:
                  type: object
                  properties:
                    data:
                      type: object
                      description: This is the form data of the link
                    actionKey:
                      type: string
                      description: The label of the action
                    workflowId:
                      type: string
                      description: The UUID of the workflow
                    groupLabel:
                      type: string
                      description: The label of the group performing the action
                file_example:
                  type: string
                  format: binary
                other_file_example:
                  type: string
                  format: binary
      responses:
        '200':
          description: The action appended to the given trace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceStateDto'
      security:
        - bearer: []
components:
  schemas:
    TraceStateDto:
      type: object
      properties:
        state:
          description: The state data of the trace
          type: object
          properties: {}
      required:
        - state
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````